## netkit-telnet-ssl 0.12

=== telnet/Makefile ===
all: telnet

include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -D_GNU_SOURCE
endif

#CFLAGS:=$(patsubst -O2, -g, $(CFLAGS))

# -DAUTHENTICATE
CFLAGS += -DUSE_TERMIO -DKLUDGELINEMODE
LIBS += $(LIBTERMCAP)

SRCS = commands.cc main.cc network.cc ring.cc sys_bsd.cc telnet.cc \
	terminal.cc tn3270.cc utilities.cc genget.cc environ.cc netlink.cc

OBJS = $(patsubst %.cc, %.o, $(SRCS))

telnet: $(OBJS)
	$(CXX) $(LDFLAGS) $^ $(LIBS) -o $@

include .depend
.depend: 
	touch .depend
	$(MAKE) depend
depend:
	$(CC) $(CFLAGS) -MM $(SRCS) >.depend

install: telnet
	install -s -m$(BINMODE) telnet $(INSTALLROOT)$(BINDIR)
	install -m$(MANMODE) telnet.1 $(INSTALLROOT)$(MANDIR)/man1

clean:
	rm -f *.o telnet

=== telnetd/Makefile ===
all: telnetd

include ../MCONFIG
include ../MRULES

ifeq ($(USE_GLIBC),1)
CFLAGS += -D_GNU_SOURCE
endif

# -DAUTHENTICATE

# If having unused tty devices root.root and mode 600 bugs you,
# take out -DPARANOID_TTYS.

CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
	-DTERMCAP -DUSE_TERMIO -DKLUDGELINEMODE -DDIAGNOSTICS
LIBS += $(LIBTERMCAP)

OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
	global.o authenc.o logwtmp.o logout.o setproctitle.o

telnetd: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

$(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h setproctitle.h

install: telnetd
	install -s -m$(DAEMONMODE) telnetd $(INSTALLROOT)$(SBINDIR)/in.telnetd
	install -m$(MANMODE) issue.net.5 $(INSTALLROOT)$(MANDIR)/man5/
	install -m$(MANMODE) telnetd.8 $(INSTALLROOT)$(MANDIR)/man8/in.telnetd.8
	ln -sf in.telnetd.8 $(INSTALLROOT)$(MANDIR)/man8/telnetd.8

clean:
	rm -f *.o telnetd

## netkit-telnet-ssl 0.16.3

=== telnetd/Makefile ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 include ../MCONFIG
 include ../MRULES
-
-ifeq ($(USE_GLIBC),1)
-CFLAGS += -D_GNU_SOURCE
-endif
 
 # -DAUTHENTICATE
 
@@ -13,16 +9,23 @@
 # take out -DPARANOID_TTYS.
 
 CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
-	-DTERMCAP -DUSE_TERMIO -DKLUDGELINEMODE -DDIAGNOSTICS
-LIBS += $(LIBTERMCAP)
+	   -DNO_REVOKE -DKLUDGELINEMODE -DDIAGNOSTICS \
+	   -DLOGIN_WRAPPER=\"/usr/lib/telnetd/login\"
+# LIBS += $(LIBTERMCAP)
 
 OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
-	global.o authenc.o logwtmp.o logout.o setproctitle.o
+	global.o setproctitle.o
+
+# authenc.o (empty)
+
+# logout.o logwtmp.o (now from -lutil)
+
 
 telnetd: $(OBJS)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 $(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h setproctitle.h
+telnetd.o: ../version.h
 
 install: telnetd
 	install -s -m$(DAEMONMODE) telnetd $(INSTALLROOT)$(SBINDIR)/in.telnetd

## netkit-telnet-ssl 0.17.24+0.1

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   telnet telnetd telnetlogin

%.build:
	(cd $(patsubst %.build, %, $@) && $(MAKE))

%.install:
	(cd $(patsubst %.install, %, $@) && $(MAKE) install)

%.clean:
	(cd $(patsubst %.clean, %, $@) && $(MAKE) clean)

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

distclean: clean
	rm -f MCONFIG

=== libtelnet/Makefile ===
include ../MCONFIG
include ../MRULES

LIB=	telnet

OBJS=	auth.o misc.o ssl.o sslapp.o

CFLAGS += -DAUTHENTICATE -DUSE_SSL -I/usr/include/openssl -I.

lib${LIB}.a: ${OBJS}
	echo building standard ${LIB} library 
	rm -f lib${LIB}.a 
	ar cq lib${LIB}.a ${OBJS}; \
	if [ -f /usr/bin/ranlib ]; then \
		ranlib lib${LIB}.a; \
	fi;

clean:
	rm -f *.o lib${LIB}.a

=== telnet/Makefile ===
all: telnet

include ../MCONFIG
include ../MRULES

#CXXFLAGS:=$(patsubst -O2, -g, $(CXXFLAGS))

# -DAUTHENTICATE
CXXFLAGS += -DUSE_TERMIO -DKLUDGELINEMODE
LIBS = $(LIBTERMCAP)

SRCS = commands.cc main.cc network.cc ring.cc sys_bsd.cc telnet.cc \
	terminal.cc tn3270.cc utilities.cc genget.cc environ.cc netlink.cc

OBJS = $(patsubst %.cc, %.o, $(SRCS))

telnet: $(OBJS)
	$(CXX) $(LDFLAGS) $^ $(LIBS) -o $@

include depend.mk
depend:
	$(CXX) $(CXXFLAGS) -MM $(SRCS) >depend.mk

install: telnet
	install -s -m$(BINMODE) telnet $(INSTALLROOT)$(BINDIR)/telnet-ssl
	install -m$(MANMODE) telnet.1 $(INSTALLROOT)$(MANDIR)/man1/telnet-ssl.1

clean:
	rm -f *.o telnet

=== telnetd/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 CFLAGS += '-DISSUE_FILE="/etc/issue.net"' -DPARANOID_TTYS \
 	   -DNO_REVOKE -DKLUDGELINEMODE -DDIAGNOSTICS \
-	   -DLOGIN_WRAPPER=\"/usr/lib/telnetd/login\"
+	   -DLOGIN_WRAPPER=\"/usr/lib/telnetlogin\"
 # LIBS += $(LIBTERMCAP)
 
 OBJS = telnetd.o state.o termstat.o slc.o sys_term.o utility.o \
@@ -21,7 +21,7 @@
 # logout.o logwtmp.o (now from -lutil)
 
 
-telnetd: $(OBJS)
+telnetd: $(OBJS) $(LIBTELNET)
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 $(OBJS): defs.h ext.h pathnames.h telnetd.h logwtmp.h logout.h setproctitle.h

## netkit-telnet-ssl 0.17.40+0.2

=== debian/changelog ===
netkit-telnet-ssl (0.17.40+0.2-1) unstable; urgency=low

  * Bring in package changes from experimental to unstable.
  * Update to source version 0.17-40 of netkit-telnet.
    + debian/rules: Define and use the variable LDDEFS.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 23:20:22 +0200

netkit-telnet (0.17-40) unstable; urgency=low

  * Bring in package changes from experimental to unstable.
  * debian/rules: Add a variable LDDEFS. It is consumed during linking
    and is intended to suppress unnecessary linking.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 22:37:15 +0200

netkit-telnet-ssl (0.17.39+0.2-1) experimental; urgency=low

  * Import the changes in upstream 'netkit-telnet', relevant to reach
    a common version '0.17.39' also with this package variant.
    + debian/patches/045-avoid_unsetting_term.diff: New file.
    + debian/patches/120-some_protocol_refinement.diff: New file.
    + debian/patches/130-drain_input_from_child.diff: New file.
    + debian/patches/610-support_uservar.diff: New file.
    + debian/patches/620-do_not_strip_telnetlogin.diff: New file.
    + debian/rules: Add '-DACCEPT_USERVAR' to CFLAGS and CXXFLAGS.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 17 Mar 2015 18:05:47 +0100

netkit-telnet (0.17-39) experimental; urgency=low

  * Isolate support for USERVAR in a separate patch for easier use in
    the variant package netkit-telnet-ssl.  Add LANG and LC_* to the
    list of environment variables acceptable by the server.  Add support
    in the client for exporting USERVAR classified variables.
    + debian/patches/120-some_protocol_refinement.diff: Updated.
    + debian/patches/124-support_uservar.diff: New file.
  * Activate support for user variables in environment.  The server
    accepts USERVAR classified variables, and the user agent announces
    non-standard named variables as USERVAR.  Closes: #237268
    + debian/rules: Add '-DACCEPT_USERVAR' to CFLAGS and to CXXFLAGS. 
  * Modify patch for direct use also with package netkit-telnet-ssl.
    + debian/patches/130-drain_input_from_child.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 09 Mar 2015 15:42:23 +0100

netkit-telnet (0.17-38) experimental; urgency=low

  * Interchange maintainer and uploader!
  * Refactor patch sets.
    + debian/patches/010-full_set_in_18.diff: Updated and renamed.
    + debian/patches/020-from_18_to_24.diff: Updated and renamed.
    + debian/patches/022-buffer_overflow_by_HOME.diff: New file.
    + debian/patches/024-can_2004-0911.diff: New file.
    + debian/patches/026-can_2005_0469.diff: New file.
  * Repair broken host name check in telnetlogin.
    + debian/patches/140-telnetlogin_name_check.diff: New file.
  * New switch '-N' for telnetd.  Taken from netkit-telnet-ssl.
    + debian/patches/142-numeric_hosts.diff: New file.
  * Suppress a useless error message at package removal.
    + debian/telnetd.postrm: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 06 Feb 2015 19:41:53 +0100

netkit-telnet (0.17-37) experimental; urgency=low

  * Add Mats Erik Andersson as uploader.
  * Migrate to format "3.0 (quilt)".
    + debian/source/format: New file.
    + debian/patches/010-full_set_in_18woody3.diff: New file.
    + debian/patches/020-from_18woody3_to_29.diff: New file.
    + debian/patches/030-reject_invalid_port.diff: New file.
    + debian/patches/040-do_not_strip_programs.diff: New file.
    + debian/patches/045-avoid_unsetting_term.diff: New file.
  * Upgrade to Standards 3.9.6, compatibility 9.
    + debian/rules: Implement targets "build-arch" and "build-indep".
  * debian/rules: Implement hardening and cross builds, like netkit-ftp.
    + debian/patches/100-format_security_error.diff: New file.
  * debian/control: Add "misc:Depends" to both packages.
  * debian/telnetd.postinst: Make sure that inetd.conf exists before
    greping for text in it.
  * [lintian] Mixed complaints.
    + Delete leftover postinst.debhelper and postrm.debhelper.
    + Protocol notion name "dont" is legal; add lintian overrides.
    + description-synopsis-starts-with-article
    + maintainer-script-without-set-e
    + debian/control: Expand extended description of both packages.
      Remove outdated conflict with suidmanager.
    + debian/copyright: Include an explicit copy of the relevant license
      "BSD-4-clause".  Complement data on license holders.
    + debian/menu: Command is the physical executable, not the link.
    + debian/patches/110-markup_errors.diff: New file.  Closes: #676258
    + debian/rules: Call dh_prep and dh_lintian.
  * Improve protocol compliance and negotiation printout.
    + debian/patches/120-some_protocol_refinement.diff: New file.
  * Incomplete transfer of data from server to client.  Closes: #607415
    + debian/patches/130-drain_input_from_child.diff

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Jan 2015 17:26:31 +0100

netkit-telnet (0.17-36) unstable; urgency=low

  [ Ian Beckwith ]
  * telnetd.postinst:
    + Fix update-inetd --remove regexp.
    + Drop group from telnetd-ssl regexp.
  * telnetd.postrm: Only remove inetd entry if it is disabled.
  * telnetd Depends:
    + Replace netbase Depends: with openbsd-inetd | inet-superserver
      to pull in update-inetd (Closes: #473262).
    + Remove versioned dependencies on versions of dpkg and base-files
      that long predate oldstable.

  [ Alberto Gonzalez Iniesta ]
  * Upload Ian's patch (Closes: #486123)
  * Patched telnet.cc to avoid unsetting the TERM variable when is not
    known in the local host. Thanks Philippe Troin for the patch.
    (Closes: #237324)
  * Updated debian/menu. Thanks Hideki Yamane. (Closes: #483829)
  * Removed stripping options from Makefiles. (Closes: #437618)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:38:26 +0200

netkit-telnet (0.17-35) unstable; urgency=low



=== debian/control ===
Source: netkit-telnet-ssl
Section: net
Priority: extra
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libncurses-dev, libssl-dev (>= 0.9.8g-9)

Package: telnet-ssl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: telnet-client
Description: telnet client with SSL encryption support
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.
 .
 SSL telnet replaces normal telnet using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnet: Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools. With SSLtelnet you can also connect to
 https-server like https://www.mozilla.org. Just do
 'telnet -z ssl www.mozilla.org 443'

Package: telnetd-ssl
Architecture: any
Depends: adduser, openbsd-inetd | inet-superserver, passwd, openssl (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
Provides: telnet-server
Conflicts: telnetd
Description: telnet server with SSL encryption support
 The in.telnetd program is a server which supports the DARPA telnet interactive
 communication protocol.
 .
 SSL telnetd replaces normal telnetd using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnetd: Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.6 2007-08-06 16:30:01 ianb Exp $
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDDEFS := -Wl,-z,defs -Wl,--as-needed

CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGUREARGS=--with-debug
else
	CONFIGUREARGS=
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure $(CONFIGUREARGS); \
		sed -e 's;^CFLAGS=\(.*\)$$;CFLAGS= -Ddebian -D_GNU_SOURCE -DACCEPT_USERVAR -g $(CFLAGS) $(CPPFLAGS) \1;' \
		    -e 's;^CXXFLAGS=\(.*\)$$;CXXFLAGS= -Ddebian -D_GNU_SOURCE -DACCEPT_USERVAR -g $(CXXFLAGS) $(CPPFLAGS) \1;' \
		    -e 's;^LDFLAGS=\(.*\)$$;& $(LDDEFS) $(LDFLAGS);' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE) $(CROSS)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f MCONFIG ] || $(MAKE) distclean
	rm -f debian/telnetd-ssl.dirs debian/telnetd-ssl.postinst debian/telnetd-ssl.postrm debian/telnetd-ssl.prerm

	dh_clean

install: install-stamp
install-stamp: build-stamp
	cp debian/telnetd.dirs debian/telnetd-ssl.dirs
	cp debian/telnetd.postinst debian/telnetd-ssl.postinst
	cp debian/telnetd.postrm debian/telnetd-ssl.postrm
	cp debian/telnetd.prerm debian/telnetd-ssl.prerm
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C telnet INSTALLROOT=$(CURDIR)/debian/telnet-ssl MANDIR=/usr/share/man \
		install
#	mv debian/tmp/usr/bin/telnet debian/tmp/usr/bin/telnet.netkit
#	mv debian/tmp/usr/share/man/man1/telnet.1 \
#	   debian/tmp/usr/share/man/man1/telnet.netkit.1
	cp telnet/README debian/telnet-ssl/usr/share/doc/telnet-ssl/README.telnet
	cp telnet/README.old debian/telnet-ssl/usr/share/doc/telnet-ssl/README.telnet.old
	$(MAKE) -C telnetd INSTALLROOT=$(CURDIR)/debian/telnetd-ssl \
		MANDIR=/usr/share/man install
	cp telnetlogin/telnetlogin.8 debian/telnetd-ssl/usr/share/man/man8
	cp telnetlogin/telnetlogin debian/telnetd-ssl/usr/lib
	cp debian/openssl.cnf debian/telnetd-ssl/etc/telnetd-ssl

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## netkit-telnet-ssl 0.17.41%2Breally0.17

=== debian/changelog ===
netkit-telnet-ssl (0.17.41+really0.17-6) unstable; urgency=medium

  * QA upload.
  * Add telnet-server to telnetd-ssl Conflicts. (Closes: #1016859)
  * Wrap and sort debian/copyright fields.
  * Remove pristine-tar usage.
  * Fix typo in patch description.
  * Remove spelling-error-in-binary lintian-override that no longer matches.
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Thu, 27 Mar 2025 23:01:26 +0100

netkit-telnet-ssl (0.17.41+really0.17-5) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Use wrap-and-sort -satb for debian control files
  * Trim trailing whitespace.
  * fix copyright block order

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 08 May 2024 15:03:49 +0200

netkit-telnet-ssl (0.17.41+really0.17-4) unstable; urgency=high

  * QA upload.

  [ Marcos Marado ]
  * Fix ring buffer overflow. (Closes: #659415)

 -- Bastian Germann <bage@debian.org>  Sat, 04 Mar 2023 22:36:56 +0100

netkit-telnet-ssl (0.17.41+really0.17-3) unstable; urgency=medium

  * QA upload.
  * Fix UTF8 characters handling. (Closes: #749322)

 -- Marcos Marado <mindboosternoori@gmail.com>  Tue, 14 Feb 2023 14:53:12 +0000

netkit-telnet-ssl (0.17.41+really0.17-2) unstable; urgency=medium

  * QA upload.
  * Revert dropping openssl from telnetd-ssl's Depends.
  * Replace obsolete egrep with grep in telnetd-ssl's postinst.

 -- Bastian Germann <bage@debian.org>  Wed, 14 Sep 2022 09:43:51 +0200

netkit-telnet-ssl (0.17.41+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Drop watch file (not scanning for upstream).
  * Drop the Debian menu file (deprecated).
  * Drop ssltelnet package remains.
  * Drop outdated (as of switch to 3.0 source) README.Debian.
  * Merge CMake patches to one.
  * d/copyright: Convert to the machine-readable format
    with debian/* info from netkit-telnet package.
  * Synchronize patch set with netkit-telnet package.

 -- Bastian Germann <bage@debian.org>  Mon, 05 Sep 2022 19:23:52 +0200

netkit-telnet-ssl (0.17.41+0.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with cmake 3.18.
  * debian/openssl.cnf: default_bits 1024 -> 4096
    Thanks to Marcos Marado.(Closes: #920371)
  * Remove the alternative build dependency on libssl1.0-dev.
    (Closes: #917349)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 15:19:51 +0200

netkit-telnet-ssl (0.17.41+0.2-3.2) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake to build the package. Closes: #912132

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:38:52 +0100

netkit-telnet-ssl (0.17.41+0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace sg usage with getent group in postinst (Closes: #904048)
    - note that there's still much room for related improvements, like
      not removing users and groups in postrm (see discussion linked
      from #228692) and not removing group created by another package,
      maybe even use the same group for both netkit-telnet* packages
      to simplify maintscripts if possible.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 28 Jul 2018 16:14:32 +0200

netkit-telnet-ssl (0.17.41+0.2-3) unstable; urgency=low

  * Adapt to libssl of recent version.
    + debian/patches/630-recent_libssl.diff: New file.
    + debian/control: Reverse order between libssl-dev and libssl1.0-dev,
      remove versioning of libssl-dev.
  * Substantially improve certificate handling and diagnostics to achieve
    full verification ability.
    + debian/patches/650-improve_abilities.diff: New file.
  * debian/rules: Set the macro SSL_LOG_FILE to '/var/tmp/telnetd.log'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 22 Jan 2017 00:40:10 +0100

netkit-telnet-ssl (0.17.41+0.2-2) unstable; urgency=low

  * Allow version of libssl-dev older than 1.1.0.
    + debian/control: Update build dependency.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 Dec 2016 17:45:45 +0100

netkit-telnet-ssl (0.17.41+0.2-1) unstable; urgency=medium

  * Update to source version 0.17-41 of netkit-telnet.
  * Depend on libssl1.0-dev for buildability. Closes: #828448
  * Fix CN in generated certificate when reported domain name is empty.
    + debian/telnetd.postinst: Updated.
  * Make source package account for dead upstream source, not binaries.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 28 Nov 2016 19:51:18 +0100

netkit-telnet (0.17-41) unstable; urgency=low

  * Declare Standards version as 3.9.8, no changes.
  * Rework cross-compilation mechanism, suggested by Helmut Grohne.
    Closes: #835977
    + debian/patches/150-cross_configuration.diff: New file.
    + debian/rules: Drop CROSS, prefer CC and CXX with host type prefix.
  * debian/rules: Increase hardening level.
  * debian/telnet.lintian-overrides: New name of old file.
    Add overrides concerning `wont'.
  * debian/telnetd.lintian-overrides: Add `wont' clauses.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 07 Nov 2016 19:06:40 +0100

netkit-telnet-ssl (0.17.40+0.2-2) unstable; urgency=low

  * Upgrade to Standards 3.9.7, no changes.
  * [piuparts, telnetd-ssl] Remove a newly created random-seed file.
    + debian/telnetd.postinst: Updated.
  * [lintian] Add overrides for protocol compliant spelling 'wont'.
    + debian/telnet-ssl.lintian-overrides: Updated.
    + debian/telnetd-ssl.lintian-overrides: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 29 Feb 2016 19:28:52 +0100

## netkit-telnet-ssl 0.17.41+0.2

=== debian/changelog ===
netkit-telnet-ssl (0.17.41+0.2-3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:54:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: netkit-telnet-ssl
 Section: net
 Priority: extra
-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
 Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libncurses-dev, libssl-dev (>= 0.9.8g-9)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), libncurses-dev, libssl-dev | libssl1.0-dev
 
 Package: telnet-ssl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,18 +7,20 @@
 
 LDDEFS := -Wl,-z,defs -Wl,--as-needed
 
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS)
-CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
+CXXFLAGS += $(shell dpkg-buildflags --get CXXFLAGS) -fPIE -pie
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS) -DSSL_LOG_FILE=\\"/var/tmp/telnetd.log\\"
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-	CROSS :=
-else
-	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+ifeq ($(origin CC),default)
+	CC = $(DEB_HOST_GNU_TYPE)-gcc
 endif
+export CC
+ifeq ($(origin CXX),default)
+	CXX = $(DEB_HOST_GNU_TYPE)-g++
+endif
+export CXX
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CONFIGUREARGS=--with-debug
@@ -40,7 +42,7 @@
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 	fi
-	$(MAKE) $(CROSS)
+	$(MAKE)
 
 	touch build-stamp

=== debian/watch ===
# In essence: netkit upstream has been dead for years,
# and the SSL patch is unmaintained upstream too.
#
# Instead we aim at following the Debian packaging
# of netkit-telnet as our source base.
version=3

opts="uversionmangle=s/(.*)-(.*)/$1.$2+0.2/" http://ftp.debian.org/debian/pool/main/n/netkit-telnet/netkit-telnet_(.*).dsc

## netkit-telnet-ssl 0.17.41+really0.17

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # You can do "make SUB=blah" to make only a few, or edit here, or both
 # You can also run make directly in the subdirs you want.
 
-SUB =   telnet telnetd telnetlogin
+SUB =   telnet telnetd
+# not yet: telnetlogin
 
 %.build:
 	(cd $(patsubst %.build, %, $@) && $(MAKE))

=== debian/changelog ===
netkit-telnet-ssl (0.17.41+really0.17-7) unstable; urgency=medium

  * QA upload.

  [ Santiago Vila ]
  * Refresh all patches to remove fuzzyness.
  * Use https in Bug-Debian fields.
  * Build using C17 standard with GNU extensions. Closes: #1097451.
  * Drop "Rules-Requires-Root: no" (default).
  * Update source lintian overrides.
  * Update standards-version.

  [ Helmut Grohne ]
  * Do not link with -lcrypt. Closes: #1102458.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Oct 2025 12:40:00 +0200

=== debian/control ===
Source: netkit-telnet-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libncurses-dev,
 libssl-dev,
Vcs-Git: https://salsa.debian.org/debian/netkit-telnet-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/netkit-telnet-ssl

Package: telnet-ssl
Architecture: any
Depends:
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 telnet-client,
Description: telnet client with SSL encryption support
 The telnet command is used for interactive communication with another host
 using the TELNET protocol.
 .
 SSL telnet replaces normal telnet using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnet: Your passwords and the data you send
 will not go in cleartext over the line.

Package: telnetd-ssl
Architecture: any
Depends:
 adduser,
 openbsd-inetd | inet-superserver,
 openssl,
 passwd,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 telnet-server,
Conflicts:
 telnet-server,
 telnetd,
Description: telnet server with SSL encryption support
 The in.telnetd program is a server which supports the DARPA telnet interactive
 communication protocol.
 .
 SSL telnetd replaces normal telnetd using SSL authentication and
 encryption. It interoperates with normal telnetd in both directions.
 It checks if the other side is also talking SSL, if not it falls back
 to normal telnet protocol.
 .
 Advantages over normal telnetd: Your passwords and the data you send
 will not go in cleartext over the line.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE -std=gnu17
export DEB_CXXFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,-z,now

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	dh_missing --fail-missing
